ruby-rack-attack_4.3.1-1_all.deb


Advertisement

Description

ruby-rack-attack - Block & throttle abusive requests

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe i386
Package name: ruby-rack-attack
Package version: 4.3.1
Package release: 1
Package architecture: all
Package type: deb
Installed size: 45 B
Download size: 7.27 KB
Official Mirror: archive.ubuntu.com
A rack middleware for throttling and blocking abusive requests. It protects your web app from bad clients. It allows *whitelisting*, *blacklisting*, *throttling*, and *tracking* based on arbitrary properties of the request.

Alternatives

    Download

    Source package: ruby-rack-attack

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install ruby-rack-attack deb package:
      # sudo apt-get install ruby-rack-attack

    Files

    • /usr/lib/ruby/vendor_ruby/rack/attack.rb
    • /usr/lib/ruby/vendor_ruby/rack/attack/allow2ban.rb
    • /usr/lib/ruby/vendor_ruby/rack/attack/blacklist.rb
    • /usr/lib/ruby/vendor_ruby/rack/attack/cache.rb
    • /usr/lib/ruby/vendor_ruby/rack/attack/check.rb
    • /usr/lib/ruby/vendor_ruby/rack/attack/fail2ban.rb
    • /usr/lib/ruby/vendor_ruby/rack/attack/path_normalizer.rb
    • /usr/lib/ruby/vendor_ruby/rack/attack/request.rb
    • /usr/lib/ruby/vendor_ruby/rack/attack/store_proxy.rb
    • /usr/lib/ruby/vendor_ruby/rack/attack/throttle.rb
    • /usr/lib/ruby/vendor_ruby/rack/attack/track.rb
    • /usr/lib/ruby/vendor_ruby/rack/attack/version.rb
    • /usr/lib/ruby/vendor_ruby/rack/attack/whitelist.rb
    • /usr/lib/ruby/vendor_ruby/rack/attack/store_proxy/dalli_proxy.rb
    • /usr/lib/ruby/vendor_ruby/rack/attack/store_proxy/redis_store_proxy.rb
    • /usr/share/doc/ruby-rack-attack/changelog.Debian.gz
    • /usr/share/doc/ruby-rack-attack/copyright
    • /usr/share/rubygems-integration/all/specifications/rack-attack-4.3.1.gemspec

    Changelog

    2015-12-23 - Pirate Praveen <praveen@debian.org> ruby-rack-attack (4.3.1-1) unstable; urgency=medium * New upstream release * Check gemspec dependencies during build

    2015-07-02 - Pirate Praveen <praveen@debian.org> ruby-rack-attack (4.3.0-1) unstable; urgency=medium * Initial release (Closes: #790832)

    Advertisement
    Advertisement